"use strict";

module.exports = {
  extends: [
    "stylelint-config-standard", // 配置 stylelint 拓展插件
    "stylelint-config-html/vue", // 配置 vue 中 template 样式格式化
    "stylelint-config-recommended-less", // 配置 stylelint less 插件
    "stylelint-config-standard-scss", // 配置 stylelint scss 插件
    "stylelint-config-recommended-vue/scss", // 配置 vue 中 scss 样式格式化
  ],
  ignoreFiles: [
    "**/*.js",
    "**/*.cjs",
    "**/*.jsx",
    "**/*.tsx",
    "**/*.ts",
    "**/*.json",
    "**/*.md",
    "**/*.yaml",
    "node_modules/",
    "dist/",
    "public/",
    "docs/",
  ],
  overrides: [
    {
        files: ['**/*.(scss|css)'],
        customSyntax: 'postcss-scss',
    },
    {
        files: ['**/*.(less|css)'],
        customSyntax: 'postcss-less',
    },
    {
      files: ["**/*.(html|vue)"],
      customSyntax: "postcss-html",
    },
  ],
  rules: {
    "scss/at-import-partial-extension": null,
    "scss/dollar-variable-pattern": null, //解决类名不允许下划线
    "scss/double-slash-comment-whitespace-inside": null, // 解决双斜杠注释后要有一个空格
    "selector-class-pattern": null,
    "block-no-empty": null,
    "no-empty-source": null,
    "no-descending-specificity": null, // 禁止在具有较高优先级的选择器后出现被其覆盖的较低优先级的选择器
    "selector-pseudo-element-no-unknown": [
      true,
      {
        ignorePseudoElements: ["v-deep"],
      },
    ],
    "selector-pseudo-class-no-unknown": [
      true,
      {
        ignorePseudoClasses: ["global", "deep"],
      },
    ],
    "font-family-no-missing-generic-family-keyword": null,
    "no-duplicate-selectors": null,
    "selector-id-pattern": null, //指定id选择器的模式
    "custom-property-pattern": null, //为自定义属性指定模式。
    "no-invalid-double-slash-comments": null, //禁止使用双斜杠注释（关闭）
    "at-rule-no-unknown": [
      true,
      {
        ignoreAtRules: ["mixin", "if", "else", "include"],
      },
    ],
    "property-no-unknown": [
      true,
      {
        ignoreProperties: ["line-clamp"],
      },
    ],
  },
};
